<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

session_start();
include "config/init.php";


if(isset($_POST['submitLoan'])){
		
		$cliente = $_POST['nome_cliente'];
		$valor = $_POST['valor'];
		$conta_origem = $_POST['conta_origem'];
		$nome_credito = $_POST['nome_credito'];
		$prestacoes = $_POST['prestacoes'];
		
		$tipoCredito = $database->query("SELECT * FROM tipos_creditos WHERE nome='$nome_credito'");
		$sql = $database->fetch_assoc($tipoCredito);
		if(!$sql){
    die("Erro: tipo de crédito não encontrado");
}

		$taxas = $sql['taxas_de_juros'];
		$tipo = $sql['tipo_credito'];
        $taxa_esforco = $sql['taxa_esforco'];
		$prazo_maximo = $sql['prazo_maximo'];
		
	   $garantias = $_POST['garantias'];
		$estimado = $_POST['estimado'];
		$finalidade = $_POST['finalidade'];
		$tipo_pagamento = $_POST['tipo_pagamento'];
		
	      $juros_final = $valor * $taxas * $prestacoes;
			$total = $valor + $juros_final;
					$v_prest = $total / $prestacoes;
	
		$busca_gestor = $database->query("SELECT * FROM clientes WHERE nome_cliente='$cliente'");
		$trato = $database->fetch_assoc($busca_gestor);
		
		$vendedor = $trato['vendedor'];
		$contacto = $trato['cell1'];
		
		$user = isset($_SESSION['nome']) ? $_SESSION['nome'] : 'Sistema';
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		$buscar_conta2 = $database->query("SELECT * FROM contas WHERE conta='$conta_origem'");
		$nice_query2 = $database->fetch_assoc($buscar_conta2);
		$saldo_actual_conta = $nice_query2['saldo'];
		

		
	$tem_um = $database->query("SELECT * FROM creditos WHERE cliente='$cliente' AND status = 'pendente'");
	$contagem = mysqli_num_rows($tem_um);
	
		$url = 'creditos.php';
	if($prestacoes > $prazo_maximo){
		$message = "Prazo superior ao limite desse credito de $prazo_maximo meses";
		echo "<script>window.open('alertas/alertas_bad.php?url=$url&&message=$message','_self')</script>";


	}elseif($saldo_actual_conta < $valor){
		
		$message = "O valor solicitado superior ao disponivel,$conta_origem apenas $saldo_actual_conta.";
		echo "<script>window.open('alertas/alertas_bad.php?url=$url&&message=$message','_self')</script>";
		
	}else{
		$insere = $database->query("INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,status,data,hora,user,conta,garantias,estimado,finalidade,tipo_pagamento)
		VALUES('$cliente','$valor','$tipo','$prestacoes','$taxas','$v_prest','$juros_final','$total','$vendedor','aguardar','$data','$hora','$user','$conta_origem','$garantias','$estimado','$finalidade','$tipo_pagamento')");
	
		
		if($insere){
		$message = "Aguarde aprovacao do Admin.Obrigado";
		echo "<script>window.open('alertas/alertas_good.php?url=$url&&message=$message','_self')</script>";
		}else{
		 if(!$insere){
    die("Erro SQL: " . $database->connection->error);
}
		}
		
	 }
	}
	?>